%global pypi_name scikit-optimize

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        2
Summary:        Sequential model-based optimization toolbox
License:        BSD-3-Clause
URL:            https://github.com/scikit-optimize/scikit-optimize
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
Requires:       python3-numpy
Requires:       python3-scikit-learn >= 0.19.1
Requires:       python3-scipy >= 0.14.0

%global _description \
Scikit-Optimize, or skopt, is a simple and efficient library to \
minimize (very) expensive and noisy black-box functions. It implements \
several methods for sequential model-based optimization. skopt aims to \
be accessible and easy to use in many contexts.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*

%changelog
* Thu Nov 10 2022 yaoxin <yaoxin30@h-partners.com> - 0.9.0-2
- Change Source

* Thu Aug 04 2022 liukuo <liukuo@kylinos.cn> - 0.9.0-1
- upgrade version to 0.9.0

* Thu Jan 28 2021 liudabo<liudabo1@huawei.com> - 0.8.1-1
- upgrade version to 0.8.1

* Thu Dec 10 2020 shixuantong<shixuantong@huawei.com> - 0.7.4-2
- update source0

* Fri Jul 31 2020 Zhipeng Xie<xiezhipeng1@huawei.com> - 0.7.4-1
- upgrade to 0.7.4

* Tue Nov 7 2019 caomeng <caomeng5@huawei.com> - 0.5.2-1
- Init package
